安全漏洞

安全漏洞补丁公告

当前位置  >  首页  >  服务支持  >  安全漏洞  >  安全漏洞补丁公告

公告ID(KYSA-202311-0085

公告ID:KYSA-202311-0085 公告摘要:pypy3安全漏洞 等级:低等 发布日期:2024-07-08

详细介绍

1. 修复的CVE CVE-2022-37454 XKCP是XKCP开源的一个扩展 Keccak 代码包。 XKCP SHA-3存在安全漏洞,该漏洞源于攻击者可以通过其sponge函数接口实现整数溢出导致执行任意代码或消除预期的加密属性。 2. 受影响的操作系统及软件包 ·银河麒麟桌面操作系统V10 SP1 2403 x86_64 架构: pypy3-lib-testsuite、pypy3-lib、pypy3-tk、pypy3 arm64 架构: pypy3-lib-testsuite、pypy3-lib、pypy3-tk、pypy3 mips64el 架构: pypy3-lib-testsuite、pypy3-lib、pypy3-tk、pypy3 loongarch64 架构: pypy3-lib-testsuite、pypy3-lib、pypy3-tk、pypy3 3. 软件包修复版本 ·银河麒麟桌面操作系统V10 SP1 2403 7.3.1+dfsg-4kylin0.1 4. 修复方法 方法一:升级安装 执行更新命令进行升级 $sudo apt update $sudo apt install pypy3 方法二:下载软件包进行升级安装 如系统版本为2403,可通过软件包下载方法下载软件包,使用软件包升级命令根据受影响的软件包列表升级相关的组件包。 $sudo apt-get install /Path1/Package1 /Path2/Package2 /Path3/Package3…… 5. 软件包下载方法 银河麒麟桌面操作系统V10 SP1 2403 执行如下命令进行软件包下载: $sudo apt clean $sudo apt-get --download-only --fix-broken -y install pypy3 下载后文件保存路径:/var/cache/apt/archives 6. 修复验证 使用软件包查询命令,查看相关的软件包版本大于或等于修复版本则成功修复。 $sudo dpkg -l |grep Package 注:Package为软件包包名。
上一篇: KYSA-202311-0084 下一篇: 没有了

试用

服务

动态

联系